userDebt:
    path: /debt
    controller: App\Controller\Township\User::debt
    methods: [GET]

userDebtType:
    path: /debt/{type_id}
    controller: App\Controller\Township\User::debtType
    methods: [GET]
    requirements:
        type_id: \d+
    defaults: 
        type_id: -1

userMoneyMove:
    path: /moneymove
    controller: App\Controller\Application::index
    methods: [GET]

userMoneyMoveForm:
    path: /moneymove/form
    controller: App\Controller\Township\User::moneyMoveForm
    methods: [GET]

userMoneyMoveData:
    path: /moneymove/data
    controller: App\Controller\Township\User::moneyMoveData
    methods: [POST]

userChargesType:
    path: /charges/{type_id}/{year}
    controller: App\Controller\Township\User::chargesByType
    methods: [GET]
    requirements:
        type_id: \d+
        year: \d+
    defaults: 
        type_id: -1
        year: -1

userPaymentForm:
    path: /payment/form/{charge_type_id}/{invoice_id}
    controller: App\Controller\Township\UserPaymentOld::form
    methods: [GET]
    requirements:
        charge_type_id: \d+|-1
        invoice_id: \d+|-1
    defaults: 
        charge_type_id: -1
        invoice_id: -1

userPay:
    path: /pay
    controller: App\Controller\Township\UserPaymentNew::pay
    methods: [POST]
    
userPaymentSuccess:
    path: /payment/success
    controller: App\Controller\Township\UserPaymentOld::success
    methods: [GET]
    
userPaymentFail:
    path: /payment/fail
    controller: App\Controller\Township\UserPaymentOld::fail
    methods: [GET]    
    
userPayRules:
    path: /pay/rules
    controller: App\Controller\Application::index
    methods: [GET]

userStatus:
    path: /status
    controller: App\Controller\Township\User::status
    methods: [GET]

userYooKassaResponse:
    path: /yookassa/response
    controller: App\Controller\Township\UserPaymentNew::yooKassaResponse